Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 910637 - Keep "Validation Warnings: n" displayed even when moving focus to different entry
Keep "Validation Warnings: n" displayed even when moving focus to different e...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Retired
Component: Component-UI (Show other bugs)
2.1
Unspecified Unspecified
urgent Severity high
: ---
: 2.3
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks: 917911
  Show dependency treegraph
 
Reported: 2013-02-12 23:41 EST by Hedda Peters
Modified: 2013-11-26 22:36 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.3-SNAPSHOT
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 917911 (view as bug list)
Environment:
Last Closed: 2013-11-26 22:23:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hedda Peters 2013-02-12 23:41:12 EST
Description of problem:
When a validation warning is current for any given translation entry, there is a red border around the whole entry as well as the words "Validation Warnings: n" highlighted in red. However, as soon as you move the focus to a different entry, the red "Validation Warnings: n" disappears, leaving only the red border around the entry.

  
Actual results:
Warning not obvious enough when moving focus to different entry.

Expected results:
Warning obvious even when moving to different entry.


Additional info:
We had a bug which displayed red borders for many entries, even if there was no error or validation warning present. Translators might have "learned" to ignore the red border (which is not very obvious at the best of times) - I sure did and got used to not taking any notice of it. 

Suggesting to keep the red highlighted text visible to break that habit, also suggesting to make the red border thicker.
Comment 1 Alex Eng 2013-02-25 20:11:10 EST
Implemented fix in 3.0


See
https://github.com/zanata/zanata/commit/21c6a2aee541b532fe0a877b3073db0aededa8ac
Comment 2 Ding-Yi Chen 2013-03-05 00:36:15 EST
VERIFIED with 2.3-SNAPSHOT.
Note the fix only address the case in same page. Bug 917911 addresses the case when you change pages.
Comment 3 Sean Flanigan 2013-11-26 22:14:06 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 4 Sean Flanigan 2013-11-26 22:15:56 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 5 Sean Flanigan 2013-11-26 22:19:36 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:23:51 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:34:25 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:36:34 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.